import React, { Component } from "react";
import ContentWrapper from "@/components/Layout/ContentWrapper";
import { Row, Col } from "reactstrap";
import { getPelaporan } from "@/actions/pelaporan";
import CaseProgress from "@/components/Main/CaseProgress";
import TableLaporan from "@/components/Main/TableLaporan";

class Pemeriksaan extends Component {
	constructor(props) {
		super(props);
	}

	static getInitialProps = async () => {
		const pelaporan = await getPelaporan({ penjadwalan: true });
		return { pelaporan };
	};

	render() {
		const { pelaporan } = this.props;
		return (
			<ContentWrapper>
				<div className="content-heading">Evaluasi</div>
				<Row>
					<Col lg="4">
						<CaseProgress />
					</Col>
					<Col lg="8">
						<TableLaporan listData={pelaporan.data} to="/app/pemeriksaan/new" linkName="Detail" status />
					</Col>
				</Row>
			</ContentWrapper>
		);
	}
}

export default Pemeriksaan;
